Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Interface ISourceReference

All Known Subinterfaces:
  IClassFile, ICompilationUnit, IField, IImportContainer, IImportDeclaration, IInitializer, ILocalVariable, IMember, IMethod, IPackageDeclaration, IType

public interface ISourceReference

Common protocol for Java elements that have associated source code. This set consists of `IClassFile`, `ICompilationUnit`, `IPackageDeclaration`, `IImportDeclaration`, `IImportContainer`, `IType`, `IField`, `IMethod`, and `IInitializer`.

Note: For `IClassFile`, `IType` and other members derived from a binary type, the implementation returns source iff the element has attached source code.

Source reference elements may be working copies if they were created from a compilation unit that is a working copy.

This interface is not intended to be implemented by clients.

See Also:
  `IPackageFragmentRoot.attachSource(org.eclipse.core.runtime.IPath, org.eclipse.core.runtime.IPath, org.eclipse.core.runtime.IProgressMonitor)`

Method Summary
`boolean` | `exists()` Returns whether this element exists in the model.
`String` | `getSource()` Returns the source code associated with this element.
`ISourceRange` | `getSourceRange()` Returns the source range associated with this element.

Method Detail

### exists

    public boolean exists()

  Returns whether this element exists in the model.

  Returns:
    `true` if this element exists in the Java model
  Since:
    2.0

### getSource

    public String getSource()
                     throws JavaModelException

  Returns the source code associated with this element. This extracts the substring from the source buffer containing this source element. This corresponds to the source range that would be returned by `getSourceRange`.

  For class files, this returns the source of the entire compilation unit associated with the class file (if there is one).

  Returns:
    the source code, or `null` if this element has no associated source code
  Throws:
    `JavaModelException` - if an exception occurs while accessing its corresponding resource

### getSourceRange

    public ISourceRange getSourceRange()
                                throws JavaModelException

  Returns the source range associated with this element.

  For class files, this returns the range of the entire compilation unit associated with the class file (if there is one).

  Returns:
    the source range, or `null` if this element has no associated source code
  Throws:
    `JavaModelException` - if an exception occurs while accessing its corresponding resource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.